LPUART Peripheral
Bootloader » Peripheral Definitions

LPUART peripheral interface. More...

Collaboration diagram for LPUART Peripheral:

## Functions

static bool | lpuart_poll_for_activity (const peripheral_descriptor_t *self)
static status_t | lpuart_full_init (const peripheral_descriptor_t *self, serial_byte_receive_func_t function)
static void | lpuart_full_shutdown (const peripheral_descriptor_t *self)
static status_t | lpuart_write (const peripheral_descriptor_t *self, const uint8_t *buffer, uint32_t byteCount)
void | LPUART_SetSystemIRQ (uint32_t instance, PeripheralSystemIRQSetting set)
void | LPUART0_RxTx_IRQHandler (void)
void | LPUART1_RxTx_IRQHandler (void)
void | LPUART2_RxTx_IRQHandler (void)
void | LPUART3_IRQHandler (void)
void | LPUART4_IRQHandler (void)

## Variables

const peripheral_control_interface_t | g_lpuartControlInterface
| Control interface for the LPUART peripheral driver. More...
const peripheral_byte_inteface_t | g_lpuartByteInterface = {.init = NULL, .write = lpuart_write }
| Byte I/O interface for the LPUART peripheral driver.
static serial_byte_receive_func_t | s_lpuart_byte_receive_callback
static bool | g_lpuartInitStatus [FSL_FEATURE_SOC_LPUART_COUNT] = { false }
static const uint32_t | g_lpuartBaseAddr [] = LPUART_BASE_ADDRS

## Usage Information

LPUART peripheral interface.

## Function Documentation

status_t lpuart_full_init | ( | const peripheral_descriptor_t * | self,
|  | serial_byte_receive_func_t | function
| ) |  |

static

Note that we don't ungate the LPUART clock gate here. That is done only after the autobaud process has completed successfully.

void lpuart_full_shutdown | ( | const peripheral_descriptor_t * | self | ) |

static

Note: if not deinit autobaud(IRQ method), user app may encounters hardfault if it doesn't provide related pin interrupt service routine.

bool lpuart_poll_for_activity | ( | const peripheral_descriptor_t * | self | ) |

static

This function will be called from the main peripheral detection loop to drive the autobaud detect for this UART instance. If it is completed the UART is fully initialized and ready to use.

## Variable Documentation

const peripheral_control_interface_t g_lpuartControlInterface

Initial value:
= {
.pollForActivity = lpuart_poll_for_activity, .init = lpuart_full_init, .shutdown = lpuart_full_shutdown, .pump = 0
}
lpuart_poll_for_activity
static bool lpuart_poll_for_activity(const peripheral_descriptor_t *self)
Definition: lpuart_peripheral_interface.c:84
lpuart_full_shutdown
static void lpuart_full_shutdown(const peripheral_descriptor_t *self)
Definition: lpuart_peripheral_interface.c:153
lpuart_full_init
static status_t lpuart_full_init(const peripheral_descriptor_t *self, serial_byte_receive_func_t function)
Definition: lpuart_peripheral_interface.c:139

Control interface for the LPUART peripheral driver.